petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDSSetType

Builds a particular PetscDS

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetType(PetscDS prob, PetscDSType name)

Collective on PetscDS Many br

### Input Parameters

| prob | - The PetscDS object Many br
| name | - The kind of system Many br

### Options Database Key

-petscds_type <type> -Sets the PetscDS type; use -help for a list of available types Many br

Many br

### Keywords

PetscDS, set, type

### See Also

PetscDSGetType(), PetscDSCreate()

Level:intermediate
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages